.SUFFIXES: .o .C .c  .cpp


############################################################

include ../../sys/config/mkflags
include mk.inf

############################################################

C++FLAGS = $(DEBUG2) $(ARCH)

.c.o:
	$(CC1) $(ALL_INCLUDES) $(C++FLAGS) -c $(*F).c  -o $*.o

.C.o:
	$(CC) $(ALL_INCLUDES) $(C++FLAGS) -c $(*F).C   -o $*.o

.cpp.o:
	$(CC) $(ALL_INCLUDES) $(C++FLAGS) -c $(*F).cpp -o $*.o


all: $(TARGET)
runtime: $(TARGET)
debug: $(TARGET)
static:
static-debug:

wsagent.o: wsagent.cpp
	$(CC) $(ALL_INCLUDES) $(C++FLAGS) -c wsagent.cpp  -o wsagent.o

$(TARGET): $(OBJS)
	$(CC) $(C++FLAGS) -o $(TARGET) $(OBJS) $(ALL_LIBS) $(EXTLIB)
	cp $(TARGET) ../../bin
clean:
	\rm -f $(TARGET) *.o *~* log.txt ../../bin/$(TARGET)


